Subject: Re: bug#25554: date to support iso-8601 week-format (patch included)

From: Assaf Gordon <[email-masked]>
Date: Sun, 28 Oct 2018 01:59:45 -0600

retitle 25554 date: add iso-8601 week-format option
severity 25554 wishlist
tags 25554 wontfix patch
close 25554
stop

(triaging old bugs)

On 2017-01-27 3:22 p.m., Paul Eggert wrote:
> I dunno, there are several ISO 8601 formats that 'date -I' doesn't have 
> a special case for now; why add these particular shorthands? If we go 
> down this route, shouldn't we also add shorthands for %Y%j, %GW%V, 
> %G-W%V-%u, etc., etc.? Where will it stop?
> 
> Instead, perhaps we should just suggest to people that they use ordinary 
> date formats, as standardized by POSIX. These should be more portable 
> anyway. -I is meant as a convenience for interactive use, and I doubt 
> whether people would want to use "date -Iweek" interactively much.
> 

Given the above, and no further comments in more than a year,
I'm closing this as "wontfix".
Discussion can continue by replying to this thread.

-assaf